html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
caption,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

address {
  display: inline;
}

table,
tbody,
tfoot,
thead,
tr,
th,
td {
  margin: 0;
  padding: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

h1,
h2,
h3,
h4,
h5 {
  font-weight: 300;
}

html,
body {
  height: 100%;
  width: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  font-family: RA, Arial, Helvetica, "Trebuchet MS", Verdana, "sans-serif";
  font-weight: 400;
  line-height: 1.5;

  background-color: var(--primary-background);
  color: var(--primary-text);

  padding: var(--spaceY-sl) var(--spaceX-md);

  @include screen-md {
    padding: var(--spaceY-sl) var(--spaceX-xl);
  }

  @include screen-xl {
    padding: var(--spaceY-sl) var(--spaceX-xxxl);
  }
}

body,
pre {
  --scroll-size: var(--spaceX-sm);

  @include screen-xxl {
    --scroll-size: 12px;
  }

  scrollbar-color: var(--primary-40) var(--primary-0);

  &::-webkit-scrollbar {
    height: var(--scroll-size);
    width: var(--scroll-size);
  }

  &::-webkit-scrollbar-track {
    background: var(--primary-60);
    border-radius: var(--scroll-size);
  }
  &::-webkit-scrollbar-thumb {
    border-radius: var(--scroll-size);
    background-color: var(--primary-30);
    border: 1px solid var(--primary-background);
  }
}

a {
  &,
  &:visited,
  &:active {
    text-decoration: none;
    background-color: none;
    color: inherit;
  }
}

input,
input:hover,
input:focus,
textarea,
textarea:hover,
textarea:focus,
select,
select:hover,
select:focus {
  font: inherit;

  outline: none;
  color: var(--primary-text);

  &::placeholder {
    color: var(--primary-95);
  }
}

input {
  background: var(--primary-20);
  border: none;
  box-shadow: 0px 20px 40px var(--primary-10);

  &::-webkit-outer-spin-button,
  &::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
}

input {
  &:-webkit-autofill,
  &:-webkit-autofill:hover,
  &:-webkit-autofill:focus,
  &:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
  }
}

input[type="number"] {
  -moz-appearance: textfield;
}

ul {
  list-style-type: none;
}

::selection {
  background-color: var(--primary-90);
  color: var(--primary-20);
}

#root,
#__next {
  isolation: isolate;
}

button {
  color: var(--primary-text);
  background-color: transparent;
  border: none;

  cursor: pointer;
}

button:disabled,
button[disabled] {
  color: var(--primary-30);
}

.button-solid {
  --color: var(--primary-90);

  background-color: var(--color);
  border-color: var(--color);
  border-style: solid;
  color: var(--primary-background);

  font-size: var(--spaceY-md);

  cursor: pointer;
}

.button-normal {
  color: var(--primary-70);

  cursor: pointer;

  &:hover {
    color: var(--primary-95);
  }
}

table {
  width: 100%;
  border-collapse: collapse;
}

th,
td {
  padding: var(--spaceY-md) var(--spaceX-sm);
  text-align: left;
  vertical-align: middle;
}

th {
  background-color: var(--primary-10);
}

tr:hover {
  background-color: var(--primary-10);
}
